package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOldposOrderCreatePosOrderCreateRequest struct {
	/*
	   子订单列表     */
	SubOrderDOList *[]AlibabaWdkOldposOrderCreatePosSubOrderDo `json:"sub_order_d_o_list,omitempty" `

	/*
	   支付时间，必填     */
	PayTime *util.LocalTime `json:"pay_time,omitempty" `

	/*
	   外部主订单号，必填     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   经营店code，必填     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   会员卡号     */
	MemberCardNum *string `json:"member_card_num,omitempty" `

	/*
	   支付方式     */
	PayChannelList *[]AlibabaWdkOldposOrderCreatePosPayChannel `json:"pay_channel_list,omitempty" `

	/*
	   兼容老接口的数据     */
	OldData *int64 `json:"old_data,omitempty" `
}

func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetSubOrderDOList(v []AlibabaWdkOldposOrderCreatePosSubOrderDo) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.SubOrderDOList = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetPayTime(v util.LocalTime) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.PayTime = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetOutOrderId(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetStoreId(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetShopId(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetMemberCardNum(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.MemberCardNum = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetPayChannelList(v []AlibabaWdkOldposOrderCreatePosPayChannel) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.PayChannelList = &v
	return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateRequest) SetOldData(v int64) *AlibabaWdkOldposOrderCreatePosOrderCreateRequest {
	s.OldData = &v
	return s
}
